Skip to main content
`Ctrl`+`K`

# vispy.util.config module

Vispy configuration functions.

class vispy.util.config.Config(**kwargs)

  Bases: `object`

  Container for global settings used application-wide in vispy.

  Events:

  - Config.events.changed - Emits ConfigEvent whenever the configuration changes.

  update(**kwargs)

class vispy.util.config.ConfigEvent(changes)

  Bases: `Event`

  Event indicating a configuration change.

  This class has a ‘changes’ attribute which is a dict of all name:value pairs that have changed in the configuration.

vispy.util.config.get_config_keys()

  The config keys known by vispy and their allowed data types.

  Returns:
    keys dict

      Dict of {key: (types,)} pairs.

vispy.util.config.save_config(**kwargs)

  Save configuration keys to vispy config file

  Parameters:
    **kwargs keyword arguments

      Key/value pairs to save to the config file.

vispy.util.config.set_data_dir(directory=None, create=False, save=False)

  Set vispy data download directory

  Parameters:
    directory str | None

      The directory to use.

    create bool

      If True, create directory if it doesn’t exist.

    save bool

      If True, save the configuration to the vispy config.

vispy.util.config.sys_info(fname=None, overwrite=False)

  Get relevant system and debugging information

  Parameters:
    fname str | None

      Filename to dump info to. Use None to simply print.

    overwrite bool

      If True, overwrite file (if it exists).

  Returns:
    out str

      The system information as a string.